@layer core {

wrap {
    white-space: pre-wrap;
}

/* уважение предпочитающим покой */
@media (prefers-reduced-motion: reduce) {

    ::view-transition-old(root),
    ::view-transition-new(root) {
        animation: none;
    }
}

/* * {
    overflow-wrap: anywhere;
} */

[contenteditable] {
    user-select: text;
    outline: none;
    word-break: break-word;
}

html {
    overflow-y: scroll;
    scrollbar-width: thin;
    scrollbar-gutter: stable;
    /* scroll-behavior: smooth; */
    text-rendering: optimizeLegibility;
}

html,
input,
button {
    font-family: system-ui, -apple-system, Segoe UI, Roboto, Helvetica, Arial, sans-serif, Apple Color Emoji, Segoe UI Emoji;
}

@font-face {
    font-family: 'Segoe UI';
    font-weight: 900;
    font-style: normal;
    src: local('Segoe UI Black'), url('/_engine/asset/fonts/SegoeUI/Black.ttf') format('truetype');
}

@font-face {
    font-family: 'Segoe UI';
    font-weight: 900;
    font-style: italic;
    src: local('Segoe UI Black Italic'), url('/_engine/asset/fonts/SegoeUI/BlackItalic.ttf') format('truetype');
}

@font-face {
    font-family: 'Segoe UI';
    font-weight: 700;
    font-style: normal;
    src: local('Segoe UI Bold'),
        url('/_engine/asset/fonts/SegoeUI/Bold.woff2') format('woff2'),
        url('/_engine/asset/fonts/SegoeUI/Bold.ttf') format('truetype');
}

@font-face {
    font-family: 'Segoe UI';
    font-weight: 700;
    font-style: italic;
    src: local('Segoe UI Bold Italic'),
        url('/_engine/asset/fonts/SegoeUI/BoldItalic.woff') format('woff'),
        url('/_engine/asset/fonts/SegoeUI/BoldItalic.ttf') format('truetype');
}

@font-face {
    font-family: 'Segoe UI';
    font-weight: 600;
    font-style: normal;
    src: local('Segoe UI Semibold'),
        url('/_engine/asset/fonts/SegoeUI/SemiBold.woff2') format('woff2'),
        url('/_engine/asset/fonts/SegoeUI/SemiBold.ttf') format('truetype');
}

@font-face {
    font-family: 'Segoe UI';
    font-weight: 600;
    font-style: italic;
    src: local('Segoe UI Semibold Italic'), url('/_engine/asset/fonts/SegoeUI/SemiBoldItalic.ttf') format('truetype');
}

@font-face {
    font-family: 'Segoe UI';
    font-weight: 400;
    font-style: italic;
    src: local('Segoe UI Italic'),
        url('/_engine/asset/fonts/SegoeUI/Italic.woff2') format('woff2'),
        url('/_engine/asset/fonts/SegoeUI/Italic.ttf') format('truetype');
}

@font-face {
    font-family: 'Segoe UI';
    font-weight: 400;
    font-style: normal;
    src: local('Segoe UI Regular'), local('Segoe UI'),
        url('/_engine/asset/fonts/SegoeUI/Regular.woff2') format('woff2'),
        url('/_engine/asset/fonts/SegoeUI/Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'Segoe UI';
    font-weight: 300;
    font-style: normal;
    src: local('Segoe UI Semilight'),
        url('/_engine/asset/fonts/SegoeUI/SemiLight.woff2') format('woff2'),
        url('/_engine/asset/fonts/SegoeUI/SemiLight.ttf') format('truetype');
}

@font-face {
    font-family: 'Segoe UI';
    font-weight: 300;
    font-style: italic;
    src: local('Segoe UI Semilight Italic'), url('/_engine/asset/fonts/SegoeUI/SemiLightItalic.ttf') format('truetype');
}

@font-face {
    font-family: 'Segoe UI';
    font-weight: 200;
    font-style: normal;
    src: local('Segoe UI Light'),
        url('/_engine/asset/fonts/SegoeUI/Light.woff2') format('woff2'),
        url('/_engine/asset/fonts/SegoeUI/Light.ttf') format('truetype');
}

@font-face {
    font-family: 'Segoe UI';
    font-weight: 200;
    font-style: italic;
    src: local('Segoe UI Light Italic'), url('/_engine/asset/fonts/SegoeUI/LightItalic.ttf') format('truetype');
}

html[data-os='Linux'] {
    text-rendering: geometricPrecision;
    scrollbar-width: auto;
}

html[data-os='Linux'],
html[data-os='Linux'] input,
html[data-os='Linux'] button {
    font-family: Segoe UI, Segoe UI Emoji, system-ui, Helvetica;
}

html[data-os='Linux'] :is(button :is(label, .text),
    bo-bbox :is(legend, label),
    bo-toggle[mode=toggle] :is(.states)) {
    font-weight: normal;
}

input[type='text'],
select,
textarea {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    margin: 0
}

h1,
h2,
h3,
h4 {
    position: relative;
    padding: 0;
    margin: auto;
    line-height: 1;
}

h1 {
    font-size: 2.5em;
}

p,
bo-text {
    user-select: text;
    margin-bottom: auto;
}

ul,
ol {
    padding: 0;
    padding-inline-start: 20px;
    margin: auto;
}

}
